Subject: Re: bug#5009: complete-symbol should probably not be bound in global-map

From: Chong Yidong <[email-masked]>
Date: Sat, 05 Dec 2009 17:03:06 -0500

> It fools people into believing there is a useful completion when there
> in fact is none. What use is for example symbol completion in
> css-mode, in php-mode etc?
>
> It is better to tell the truth. Bind it to there-is-no-completion-here
> (in a logic sense of course) in global map. Bind it to something
> useful in major modes.

I've just checked in a change that makes complete-symbol call
semantic-ia-complete-symbol if no tags table is loaded and Semantic is
enabled.  We don't have a Semantic parser for css-mode and php-mode yet,
but hopefully we will in the future.

I'm closing this bug.